#include <bits/stdc++.h>


using namespace std;
ifstream f1("TAPHOP.INP");
ofstream f2("TAPHOP.OUT");
int n,a[1000];
void kq(int k)
{ int i;
    for ( i=1;i<=k;i++)
    { f2<<a[i];}
    f2<<endl;
}
void th(int i)
{ int j;
    for ( j=a[i-1]+1;j<=n;j++)
    {
        a[i]=j;
        kq(i);
        if (i<n){th(i+1);}

    }
}
int main()
{
    f1>>n;
    a[0]=0;
    th(1);

   return 0;
}
